#!/bin/bash



DOCKER_PASSWORD="pD7XKp65JG7DXPbLcZYj"
DOCKER_USERNAME="registry_push"
CONTAINER_NAME="git.biohpc.swmed.edu:5050/biohpc/astrocyte-container-images/astroshiny:0.5.0"


#Build the dockerfile with the astrocyte_example_wordcount folder as the target.

DOCKER_BUILDKIT=1 \
	docker build \
	-f ./Dockerfile \
 	--progress=plain \
        --build-arg http_proxy=http://proxy.swmed.edu:3128/ \
	--build-arg https_proxy=http://proxy.swmed.edu:3128/ \
	--build-arg no_proxy="*.swmed.edu,*.swmed.org,*.utsouthwestern.edu" \
        -t astroshiny:test \
	.


# Tag and push





docker tag astroshiny:test ${CONTAINER_NAME}
docker login git.biohpc.swmed.edu:5050 -u ${DOCKER_USERNAME} -p ${DOCKER_PASSWORD}
docker push astroshiny:test ${CONTAINER_NAME}
