#!/bin/bash



CONTAINER_PORT=8123
HOST_PORT=8123

CONTAINER_NAME="astroshiny:test"
HOST_WORKFLOW_OUTPUT="/vagrant/examples/astrocyte_example_wordcount/workflow/output"
CONTAINER_INPUT_FOLDER="/mnt/workflow_output"


docker container run \
	--publish ${HOST_PORT}:${CONTAINER_PORT} \
	--mount type=bind,source="${HOST_WORKFLOW_OUTPUT}",target="${CONTAINER_INPUT_FOLDER}" \
	--env outputDir=${CONTAINER_INPUT_FOLDER} \
	${CONTAINER_NAME} 


