#!/bin/bash



CONTAINER_PORT=8123
HOST_PORT=8123

CONTAINER_NAME="astroshiny.simg"
HOST_WORKFLOW_OUTPUT="/vagrant/examples/astrocyte_example_wordcount/workflow/output"
CONTAINER_INPUT_FOLDER="/mnt/workflow_output"

export outputDir=${CONTAINER_INPUT_FOLDER}

#singularity instance start \
#	--bind "${HOST_WORKFLOW_OUTPUT}":"${CONTAINER_INPUT_FOLDER}" \
#	--bind "${HOST_VIZAPP_OUTPUT}":"${CONTAINER_OUTPUT_FOLDER}" \
#	${CONTAINER_NAME} \
#	instance_test 


singularity exec \
	--bind "${HOST_WORKFLOW_OUTPUT}":"${CONTAINER_INPUT_FOLDER}" \
	${CONTAINER_NAME} \
	R -e "shiny::runApp('/app', host = '0.0.0.0', port = 8123)"
